body {
    background-color: #283c69;
    color: #dadada;
    text-shadow: 0 0 2px #000, 0 0 2px #000;
}
table{
  text-shadow: none;
  max-width: 65vw;
}
#tablekey{
  display: inline-block;
  min-width: 100%;
}
#table {
  font-size: 1.2em;
  min-width: 10vw;
  max-width: 65vw;
  min-height: 50vh;
  max-height: 80vh;
  padding: 0px;
  background-color: #0077AC;
  border: 7px solid #2A328B;
  border-style: ridge;
  border-radius: 12px;
  float:left;
  overflow-x: auto;
  overflow-y: hidden;
  direction: rtl;
  table, th, td {
    color: #000000;
    border-color: #2A328B;
    max-width: 65vw;
  }
  table{
    direction: ltr;
  }
  th, td {
    position: relative;
    text-align: center;
    padding-left: 7px;
    padding-right: 7px;
    padding-top: 3px;
    padding-bottom: 3px;
    margin-left: 3px;
    margin-right: 3px;
    margin-top: 7px;
    margin-bottom: 7px;
    border: 3px solid #2A328B;
    border-style: ridge;
    border-radius: 12px;
    background-color: #00944B;
    white-space: nowrap;
  }
  td:first-child, th:first-child {
    position:sticky;
    left:0;
    z-index: 1;
  }
  td:last-child, th:last-child {
    background-color: #F6B413;
    position:sticky;
    right:0;
    z-index: 1;
  }
}
#key{
  float: left;
  margin-left: 1vw;
  table, th, td {
    border: 1px solid black;
    border-style: ridge;
    border-radius: 12px;
    color: #000000;
    border-color: #2A328B;
    background-color: #0077AC;
  }
  table {
    width: auto;
  }
  th, td {
    text-align: center;
    background-color: #00944B;
    white-space: nowrap;
  }
}
#jqlfilters {
  display: block;
  padding: 10px;
  min-width: 90vh;
  margin-left: 0vw;
  margin-right: 0vw;
  margin-top: 3vh;
  margin-bottom: 0vh;
  table, th, td {
    border: 1px solid black;
    border-style: ridge;
    border-radius: 12px;
    color: #000000;
    border-color: #2A328B;
    background-color: #0077AC;
  }
  table {
    width: 30%;
  }
    th, td {
    text-align: left;
    background-color: #00944B;
    white-space: nowrap;
    padding: 5px;
  } 
}
.name{
  width: auto;
  padding-left: 7px;
  padding-right: 7px;
}
.data{
  min-width: 60px;
  max-width: 4%;
  padding-left: 3px;
  padding-right: 3px;
}
.top_data{
  font-size: 1.2rem;
}
.bot_data{
  font-size: .9rem;
}

.tooltip {
  display: inline-block;
  cursor: default;
  text-decoration: none;
}
.tooltiptext {
  display:flex;
  flex-direction: column;
  visibility: hidden;
  width: auto;
  padding-right: 12px;
  padding-left:10%;
  color: #ffffff;
  background: #0f0f0f no-repeat 100% 5%;
  border: #00944B 1px dotted;
  border-radius: 8px;
  font-size: 0.8rem;
  text-align: left;
  border-radius: 6px;
  position: absolute;
  z-index: 2;
  top: -70%;
  left: 85%;
  max-height: 800%;
  overflow-y: auto;
  overflow-x: hidden;
  transition: opacity 0.1s ease, visibility 0.1s ease;
  transition-behavior: allow-discrete;
  opacity: 0;
  ul{
    list-style-position: inside;
    margin-left: 0px;
    padding-left: 0px;
    li {
      margin-left: 0px;
      padding-left: 0px;
    }
    li::marker {
      content: " ▹";
    }
  }
}
.tooltip:hover .tooltiptext{
  visibility: visible;
  opacity: 1;
}